RoboCupMS

Public Member Functions | Static Public Attributes | List of all members
com.robogames.RoboCupMS.Entity.Team Class Reference

## Public Member Functions
| Team ()
| Team (String _name, UserRC _leader)
Long | getID ()
String | getName ()
List< UserNameObj > | getMemberNames ()
long | getLeaderID ()
List< YearObj > | getRegistrationYears ()
List< UserRC > | getMembers ()
List< TeamRegistration > | getRegistrations ()
void | setName (String _name)
void | setLeader (UserRC _leader)
void | addMember (UserRC _member)
void | removeMember (UserRC _member)
ECategory | determinateCategory ()

## Static Public Attributes
static final int | NOT_IN_TEAM = -1

## Detailed Description

Tym pro soutezici

## Constructor & Destructor Documentation

## ◆ Team() [1/2]

com.robogames.RoboCupMS.Entity.Team.Team | ( |  | ) |
| inline

Vytvori tym, do ktereho se muzou prihlasovat uzivatele. Do souteze se nemuze prihlasit samotny uzivatel, vzdy musi soutezit v nejakem tymu.

## ◆ Team() [2/2]

com.robogames.RoboCupMS.Entity.Team.Team | ( | String | _name,
|  | UserRC | _leader
| ) |  |
| inline

Vytvori tym, do ktereho se muzou prihlasovat uzivatele. Do souteze se nemuze prihlasit samotny uzivatel, vzdy musi soutezit v nejakem tymu.

Parameters

  _name | Jmeno tymu
  _leader | Vedouci tymu

## Member Function Documentation

## ◆ addMember()

void com.robogames.RoboCupMS.Entity.Team.addMember | ( | UserRC | _member | ) |
| inline

Do tymu prida noveho clena

Parameters

  _member | Novy clen

## ◆ determinateCategory()

ECategory com.robogames.RoboCupMS.Entity.Team.determinateCategory | ( |  | ) |
| inline

Urci kategorii tymu, ve ktere bude soutezit (dle vekou soutezicich)

Returns
  Soutezni kategorie

## ◆ getID()

Long com.robogames.RoboCupMS.Entity.Team.getID | ( |  | ) |
| inline

Navrati ID tymu

Returns
  ID tymu

## ◆ getLeaderID()

long com.robogames.RoboCupMS.Entity.Team.getLeaderID | ( |  | ) |
| inline

Navrati ID vedouciho tymu

Returns
  Vedouci tymu

## ◆ getMemberNames()

List<UserNameObj> com.robogames.RoboCupMS.Entity.Team.getMemberNames | ( |  | ) |
| inline

Navrati ID, jmena a prijmeni vsech clenu, vcetne vedouciho

Returns
  Clenove tymu

## ◆ getMembers()

List<UserRC> com.robogames.RoboCupMS.Entity.Team.getMembers | ( |  | ) |
| inline

Navrati vsechny cleny tymu, vcetne vedouciho

Returns
  Clenove tymu

## ◆ getName()

String com.robogames.RoboCupMS.Entity.Team.getName | ( |  | ) |
| inline

Navrati jmeno tymu

Returns
  Jmeno tymu

## ◆ getRegistrations()

List<TeamRegistration> com.robogames.RoboCupMS.Entity.Team.getRegistrations | ( |  | ) |
| inline

Navrati vsechny registrace tymu

Returns
  Registrace

## ◆ getRegistrationYears()

List<YearObj> com.robogames.RoboCupMS.Entity.Team.getRegistrationYears | ( |  | ) |
| inline

Navrati ID vsech registraci

Returns
  Registrace

## ◆ removeMember()

void com.robogames.RoboCupMS.Entity.Team.removeMember | ( | UserRC | _member | ) |
| inline

Z tymu odebere clena

Parameters

  _member | Novy clen

## ◆ setLeader()

void com.robogames.RoboCupMS.Entity.Team.setLeader | ( | UserRC | _leader | ) |
| inline

Zmeni vedouciho tymu

Parameters

  _leader | Novy vedouci tymu

## ◆ setName()

void com.robogames.RoboCupMS.Entity.Team.setName | ( | String | _name | ) |
| inline

Nastavy nove jmeno tymu

Parameters

  _name | Nove jmeno tymu

## Member Data Documentation

## ◆ NOT_IN_TEAM

final int com.robogames.RoboCupMS.Entity.Team.NOT_IN_TEAM = -1
| static

Navratova hodnota ID "zadneho" tymu (navrati pokud uzivatel neni v zadnem tymu)

The documentation for this class was generated from the following file:

- /home/martin/Programing/RoboCupMS/src/main/java/com/robogames/RoboCupMS/Entity/Team.java